<div class="row"
     [formGroup]="formGroup">
  <div class="col-12">
    <input id="addUserCheckbox" class="form-check-inline" type="checkbox"
           [formControlName]="UserFeatures.addUser"> <label for="addUserCheckbox">Add user permission</label>
  </div>
  <div class="col-12">
    <input id="editUserCheckbox" class="form-check-inline" type="checkbox"
           [formControlName]="UserFeatures.editAnyUser"> <label for="editUserCheckbox">Edit user permission</label>
  </div>
  <div class="col-12">
    <input id="deleteUserCheckbox"
           class="form-check-inline" type="checkbox"
           [formControlName]="UserFeatures.deleteAnyUser"> <label for="deleteUserCheckbox">Delete user permission</label>
  </div>
</div>


<table class="table mt-5">
  <thead>
  <tr>
    <th>Name</th>
    <th>Age</th>
    <th>
      <button class="btn btn-link text-primary"
              *hasFeatureAccess="[UserFeatures.addUser]; else: cannotAddUserTemplate">
        Add
      </button>
      <ng-template #cannotAddUserTemplate>
        <span class="text-danger">Cannot add user</span>
      </ng-template>
    </th>
  </tr>
  </thead>
  <tbody>
  <tr>
    <td>Name 01</td>
    <td>Age 01</td>
    <td>
      <div class="d-inline-block mx-2">
        <button class="btn btn-link text-danger"
                *hasFeatureAccess="[UserFeatures.deleteAnyUser]; else: cannotDeleteUserTemplate">
          Delete
        </button>
        <ng-template #cannotDeleteUserTemplate>
          <span class="text-danger">Cannot delete user</span>
        </ng-template>
      </div>

      <div class="d-inline-block mx-2">
        <button class="btn btn-link text-info"
                *hasFeatureAccess="[UserFeatures.editAnyUser]; else: cannotEditUserTemplate">
          Edit
        </button>
        <ng-template #cannotEditUserTemplate>
          <span class="text-danger">Cannot edit user</span>
        </ng-template>
      </div>
    </td>
  </tr>
  </tbody>
</table>
